<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:padding="15dp"
    android:layout_height="wrap_content">
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintDimensionRatio="w,4.7:1"
        app:layout_constraintStart_toStartOf="parent"
        android:id="@+id/id_head"
        app:layout_constraintEnd_toStartOf="@+id/id_entrust_num"
        android:layout_height="wrap_content">

        <!--状态-->
        <TextView
            android:layout_width="wrap_content"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_marginEnd="10dp"
            android:id="@+id/id_status"
            android:text="已报1"
            app:layout_constraintEnd_toStartOf="@+id/id_goods_name"
            style="@style/ListTextStyle"
            android:layout_height="wrap_content"/>
        <!--    时间-->
        <TextView
            app:layout_constraintTop_toBottomOf="@+id/id_status"
            android:layout_width="wrap_content"
            android:id="@+id/id_date"
            android:text="10:10:10"
            style="@style/ListSummaryTextStyle"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_height="wrap_content"/>
        <!--    名称\类型-->
        <TextView
            android:layout_width="0dp"
            android:gravity="end"
            android:paddingEnd="20dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toEndOf="@+id/id_status"
            style="@style/ListTextStyle"
            android:text="名称"
            android:lines="1"
            android:ellipsize="end"
            app:layout_constraintEnd_toEndOf="parent"
            android:id="@+id/id_goods_name"
            android:layout_height="wrap_content"/>
        <TextView
            android:layout_width="wrap_content"
            app:layout_constraintTop_toBottomOf="@+id/id_goods_name"
            style="@style/ListSummaryTextStyle"
            android:text="类型"
            android:paddingEnd="20dp"
            android:id="@+id/id_entrust_type"
            app:layout_constraintEnd_toEndOf="@+id/id_goods_name"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

<!--    委托数量、价格-->
    <TextView
        android:layout_width="0dp"
        android:gravity="end"
        android:id="@+id/id_entrust_num"
        style="@style/ListTextStyle"
        android:paddingEnd="15dp"
        android:text="委托数量"
        app:layout_constraintStart_toEndOf="@+id/id_head"
        app:layout_constraintEnd_toStartOf="@+id/id_entrust_pl"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_height="wrap_content"/>
    <TextView
        android:layout_width="wrap_content"
        android:id="@+id/id_entrust_price"
        style="@style/ListSummaryTextStyle"
        android:text="价格"
        android:paddingEnd="15dp"
        app:layout_constraintTop_toBottomOf="@+id/id_entrust_num"
        app:layout_constraintEnd_toEndOf="@+id/id_entrust_num"
        android:layout_height="wrap_content"/>
<!--    盈亏-->
    <TextView
        android:layout_width="0dp"
        android:text="100.00"
        style="@style/ListTextStyle"
        android:id="@+id/id_entrust_pl"
        android:gravity="end"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/id_entrust_num"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_height="wrap_content"/>

<!--    隐藏的button-->
<!--    图表-->
    <TextView
        android:layout_width="wrap_content"
        android:id="@+id/id_chart"
        android:text="@string/str_chart"
        style="@style/ListBottomStyle"
        android:layout_marginEnd="10dp"
        android:visibility="gone"
        app:layout_goneMarginEnd="0dp"
        app:layout_constraintTop_toBottomOf="@+id/id_head"
        app:layout_constraintEnd_toStartOf="@+id/id_entrust_detail"
        android:layout_height="wrap_content"/>

<!--详情-->
    <TextView
        android:layout_width="wrap_content"
        android:id="@+id/id_entrust_detail"
        android:text="@string/details"
        android:visibility="gone"
        style="@style/ListBottomStyle"
        app:layout_constraintTop_toBottomOf="@+id/id_head"
        app:layout_constraintEnd_toStartOf="@+id/id_cancel"
        android:layout_marginEnd="10dp"
        app:layout_goneMarginEnd="0dp"
        android:layout_height="wrap_content"/>
<!--撤单-->
    <TextView
        android:layout_width="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/id_head"
        app:layout_constraintEnd_toEndOf="parent"
        style="@style/ListBottomStyle"
        android:visibility="gone"
        android:id="@+id/id_cancel"
        android:text="@string/str_cancel"
        android:layout_height="wrap_content"/>

</androidx.constraintlayout.widget.ConstraintLayout>